%global momorel 8

Summary: A Gnome based SIP/H323 teleconferencing application
Name: ekiga
Version: 3.3.1
Release: 0.%{momorel}m%{?dist}
URL: http://www.ekiga.org/
License: GPL
#Source0: http://ftp.gnome.org/pub/gnome/sources/ekiga/3.2/%{name}-%{version}.tar.bz2 
#NoSource: 0

# umm. ekiga not support newer opal 
Source: %{name}-%{version}-20100508.tar.xz
Patch0: ekiga-3.2.6-opal38.patch

Group: Applications/Communications
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: pkgconfig
BuildRequires: intltool
BuildRequires: gtk2-devel >= 2.16.0
BuildRequires: glib2-devel >= 2.20.0
BuildRequires: libsigc++-devel >= 2.2.3
BuildRequires: libxml2-devel >= 2.7.3
BuildRequires: libgnome-devel >= 2.26.0
BuildRequires: libgnomeui-devel >= 2.24.1
BuildRequires: GConf2-devel >= 2.26.0
BuildRequires: libnotify-devel >= 0.4.5
BuildRequires: libXv-devel
BuildRequires: dbus-devel >= 1.2.4
BuildRequires: dbus-glib-devel >= 0.80
BuildRequires: avahi-devel >= 0.6.24
BuildRequires: avahi-glib-devel >= 0.6.24
BuildRequires: ptlib-devel >= 2.8.2
BuildRequires: opal-devel >= 3.8.2
BuildRequires: SDL-devel
BuildRequires: openssl-devel >= 0.9.8g
BuildRequires: evolution-data-server-devel >= 2.30.2
BuildRequires: unixODBC-devel >= 2.2.14
BuildRequires: boost-devel >= 1.43.0
Requires(pre): hicolor-icon-theme gtk2
Requires: dbus
Obsoletes: gnomemeeting

%description
GnomeMeeting is a tool to communicate with video and audio over the internet.
It uses the H323 protocol and is compatible with Microsoft Netmeeting.

%prep
%setup -q

%patch0 -p1 -b .opal

%build
%configure \
    --disable-scrollkeeper \
    --disable-schemas-install \
    --enable-gnome \
    --enable-gconf \
    --enable-eds \
    --program-prefix="" \
%ifnarch %{ix86}
    --with-boost-libdir=%{_libdir} \
%endif
    --enable-notify \
    --enable-ldap \
    --enable-mmx \
    --enable-shm \
    --enable-dbus \
    --enable-dbus-service \
    --enable-avahi \
    --enable-gstreamer \
    --enable-gdu \
    --enable-h323  \
    LIBS="-lX11"
%make

%install
rm -rf --preserve-root %{buildroot}
%makeinstall

%clean
rm -rf --preserve-root %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/ekiga.schemas \
    > /dev/null || :
gtk-update-icon-cache -q -f -t %{_datadir}/icons/hicolor || :
rarian-sk-update

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/ekiga.schemas \
	> /dev/null || :
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/ekiga.schemas \
	> /dev/null || :
fi

%postun
rarian-sk-update

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog FAQ INSTALL NEWS README TODO
%{_bindir}/ekiga
%{_bindir}/ekiga-config-tool
%{_bindir}/ekiga-helper
%{_libdir}/ekiga/%{version}/libekiga.so
%{_libdir}/ekiga/%{version}/libekiga.la
%{_libdir}/ekiga/%{version}/plugins/*.so
%{_libdir}/ekiga/%{version}/plugins/*.la
%{_sysconfdir}/gconf/schemas/ekiga.schemas
%{_datadir}/gnome/help/ekiga/*/*.xml
%{_datadir}/gnome/help/ekiga/*/*/*.png
%{_datadir}/locale/*/*/*
%{_mandir}/man1/*
%{_datadir}/pixmaps/ekiga/*.png
%{_datadir}/sounds/ekiga/*
%{_datadir}/applications/ekiga.desktop
%{_datadir}/omf/ekiga
%{_datadir}/dbus-1/services/*.service
%{_datadir}/icons/hicolor/*/*/*
%exclude %{_datadir}/icons/hicolor/icon-theme.cache

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (3.3.1-0.8m)
- full rebuild for mo7 release

* Tue Jul 27 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.1-0.7m)
- fix build

* Mon Jul 19 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (3.3.1-0.6m)
- rebuila against ptlib & opal

* Fri Jun 25 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.1-0.5m)
- rebuild against boost-1.43.0

* Mon Jun 21 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.3.1-0.4m)
- rebuild against evolution-2.30.2

* Tue May 25 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.3.1-0.3m)
- add Requires(pre): hicolor-icon-theme gtk2
- use gtk-update-icon-cache -q -f -t %{_datadir}/icons/hicolor || :

* Sun May  9 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.3.1-0.2m)
- enable to build on x86_64

* Sun May  9 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (3.3.1-0.1m)
- update 3.3.1-20100508 sources. 

* Sun May  9 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (3.2.6-4m)
- rebuild against ptlib-2.8.1 opal-3.8.1

* Sat Mar 13 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (3.2.6-3m)
- rebuild against ptlib-2.8.0 opal-3.6.7

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.2.6-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Fri Sep 25 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.2.6-1m)
- update to 3.2.6

* Sun Jul 12 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.2.5-1m)
- update to 3.2.5

* Fri May 22 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.2.4-1m)
- update to 3.2.4

* Wed May 13 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.2.0-3m)
- rebuild against unixODBC-2.2.14

* Tue Apr 07 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.2.0-2m)
- rebuild against openssl-0.9.8k

* Fri Mar 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.2.0-1m)
- update to 3.2.0

* Fri Mar  6 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.1.2-2m)
- fix BPR

* Thu Mar  5 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.1.2-1m)
- update to 3.1.2
- delete patch0 (fixed)

* Sat Feb 14 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.1.0-1m)
- update to 3.1.0
- add patch0 (fix install)

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.0.2-2m)
- rebuild against rpm-4.6

* Sat Jan 17 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.0.2-1m)
- update to 3.0.2

* Tue Oct 21 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.0.1-1m)
- update to 3.0.1

* Tue Sep 30 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.0.0-2m)
- welcome evolution-data-server

* Mon Sep 29 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.0.0-1m)
- update to 3.0.0

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.12-2m)
- rebuild against gcc43

* Sat Mar 15 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.12-1m)
- update to 2.0.12

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.11-2m)
- %%NoSource -> NoSource

* Fri Sep 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.11-1m)
- update to 2.0.11
- build with opal-2.2.11([SECURITY] CVE-2007-4924)

* Wed Apr 18 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.9-1m)
- update 2.0.9

* Sat Mar 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.7-2m)
- rebuild against evolution-data-server-1.10.0

* Mon Mar 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.7-1m)
- update to 2.0.7

* Fri Feb 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.5-1m)
- update to 2.0.5

* Mon Jan 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.4-1m)
- update to 2.0.4

* Fri Oct 13 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.3-1m)
- real update

#* Fri Sep  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
#- (2.0.3-3m)
#- rebuild against evolution-data-server-1.8.0
#
#* Mon Sep  4 2006 Nishio Futoshi <futoshi@momonga-linux.org>
#- (2.0.3-1m)
#- update to 2.0.3

* Fri Sep  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.2-2m)
- rebuild against dbus 0.92

* Tue Aug 15 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.2-1m)
- update to 2.0.2

* Fri Jun  2 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.1-3m)
- enable avahi, dbus support

* Wed Apr 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.1-2m)
- rebuild against openssl-0.9.8a

* Sat Apr  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.1-1m)
- update to 2.0.1

* Fri Mar  3 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.99.1-1m)
- version up

* Wed Jan 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.99.0-1m)
- Start
